io.milvus.response

## Class GetBulkInsertStateWrapper

- java.lang.Object
- - io.milvus.response.GetBulkInsertStateWrapper

    public class GetBulkInsertStateWrapper
    extends java.lang.Object

Util class to wrap response of `GetImportStateResponse` interface.

### Constructor Summary

Constructors
Constructor and Description
`GetBulkInsertStateWrapper(@NonNull io.milvus.grpc.GetImportStateResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.Long>` `getAutoGeneratedIDs()` Gets the long ID array for auto-id primary key, generated by bulk insert task.
`java.lang.String` `getCollectionName()` Gets target collection name of the bulk insert task.
`long` `getCreateTimestamp()` Gets the integer timestamp when this task is created.
`java.lang.String` `getCreateTimeStr()` Gets the timestamp in string format when this task is created.
`java.lang.String` `getFailedReason()` Gets failed reason of the bulk insert task.
`java.lang.String` `getFiles()` Gets target files of the bulk insert task.
`long` `getImportedCount()` Gets how many rows were imported by the bulk insert task.
`java.lang.String` `getPartitionName()` Gets target partition name of the bulk insert task.
`int` `getProgress()` Gets working progress percent value of the bulk insert task.
`io.milvus.grpc.ImportState` `getState()` Gets state of the bulk insert task.
`long` `getTaskID()` Gets ID of the bulk insert task.
`java.lang.String` `toString()` Construct a `String` by `DescCollResponseWrapper` instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetBulkInsertStateWrapper

    public GetBulkInsertStateWrapper(@NonNull
                                     @NonNull io.milvus.grpc.GetImportStateResponse response)

### Method Detail

#### getTaskID

    public long getTaskID()

Gets ID of the bulk insert task.

Returns:
  Long ID of the bulk insert task

#### getAutoGeneratedIDs

    public java.util.List<java.lang.Long> getAutoGeneratedIDs()

Gets the long ID array for auto-id primary key, generated by bulk insert task.

Returns:
  List of Long, ID array returned by bulk insert task

#### getState

    public io.milvus.grpc.ImportState getState()

Gets state of the bulk insert task.

Returns:
  ImportState state of the bulk insert task

#### getImportedCount

    public long getImportedCount()

Gets how many rows were imported by the bulk insert task.

Returns:
  Long how many rows were imported by the bulk insert task

#### getCreateTimestamp

    public long getCreateTimestamp()

Gets the integer timestamp when this task is created.

Returns:
  the integer timestamp when this task is created

#### getCreateTimeStr

    public java.lang.String getCreateTimeStr()

Gets the timestamp in string format when this task is created.

Returns:
  the timestamp in string format when this task is created

#### getFailedReason

    public java.lang.String getFailedReason()

Gets failed reason of the bulk insert task.

Returns:
  String failed reason of the bulk insert task

#### getFiles

    public java.lang.String getFiles()

Gets target files of the bulk insert task.

Returns:
  String target files of the bulk insert task

#### getCollectionName

    public java.lang.String getCollectionName()

Gets target collection name of the bulk insert task.

Returns:
  String target collection name

#### getPartitionName

    public java.lang.String getPartitionName()

Gets target partition name of the bulk insert task.

Returns:
  String target partition name

#### getProgress

    public int getProgress()

Gets working progress percent value of the bulk insert task.

Returns:
  String target collection name

#### toString

    public java.lang.String toString()

Construct a `String` by `DescCollResponseWrapper` instance.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  `String`